> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/sdk-reference/ios/ios-sdk-passwordless-login/check-if-trusted-device-is-enrolled.md).

# Check if Trusted Device is Enrolled

There are 3 methods that you can use to check about Trusted Device enrollment:&#x20;

1. [Check if this device is a Trusted Device](/sdk-reference/ios/ios-sdk-passwordless-login/check-if-trusted-device-is-enrolled.md#check-if-this-device-is-a-trusted-device)
2. [Check if this account has any Trusted Device](/sdk-reference/ios/ios-sdk-passwordless-login/check-if-trusted-device-is-enrolled.md#check-if-this-account-has-any-trusted-device)&#x20;

## **Check if this device is a Trusted Device**

Example:

```swift
func checkTrustedDeviceStatusForThisDevice(userID: String) {
  func callback(response: CotterResult<EnrolledMethods>) {
    switch response {
    case .success(let resp):
      if resp.enrolled && resp.method == "TRUSTED_DEVICE" {
        // This user's is enrolled in trusted device feature
      }
    case .failure(let err):
      // Server returned error
    }
  }

  CotterAPIService.shared.getTrustedDeviceStatus(userID: userID, cb: callback)
}
```

JSON Result:

```swift
{
  "enrolled": true, // If this user's device is enrolled in the below method, will show true
  "method": "TRUSTED_DEVICE" 
}
```

## **Check if this account has any Trusted Device**

Example:

```swift
func checkTrustedDeviceStatusForUser(userID: String) {
  func callback(response: CotterResult<EnrolledMethods>) {
    switch response {
    case .success(let resp):
      if resp.enrolled && resp.method == "TRUSTED_DEVICE" {
        // This user is enrolled in trusted device feature (may not be on this device but another one)
      }
    case .failure(let err):
      // Server returned error
    }
  }

CotterAPIService.shared.getTrustedDeviceEnrolledAny(userID: userID, cb: cb)
}
```

JSON Result:

```swift
{
  "enrolled": true, // If user is enrolled in the below method, will show true
  "method": "TRUSTED_DEVICE" 
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cotter.app/sdk-reference/ios/ios-sdk-passwordless-login/check-if-trusted-device-is-enrolled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
